Skip to content

Verify a wallet address of the user.

POST
/api/v1/user/verify/wallet-address
object
currency
required

The currency of the wallet address.

string
Example
BTC
address
required

The address of which the user will upload the proof of ownership.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag for the wallet address to verify.

string|integer
nullable
Example
ABC12345
name
required

A descriptive name for the address.

string
Example
BTC address 1
proof
required

The base64 encoded binary image data (max 5MB un-encoded).

string
Example
aGEgbWFkZSB5b3UgbG9vayE=

Wallet verification successfully requested.

object
currency
required

The currency belonging to the wallet address that was sent for verification

string
Example
BTC
address
required

The wallet address to verify.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
name
required

A descriptive name for the address.

string
Example
BTC address 1
status
required
string
Allowed values: open pending disabled verified rejected

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER014 ER015 ER048 ER109 ER117 ER118 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER900 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER014": {
"code": "ER014",
"message": "Invalid wallet address.",
"solution": "Provide a valid wallet address for the selected currency pair."
},
"ER015": {
"code": "ER015",
"message": "Invalid destination tag.",
"solution": "Provide a valid destination tag."
},
"ER048": {
"code": "ER048",
"message": "Invalid JSON data provided.",
"solution": "Provide valid JSON data."
},
"ER109": {
"code": "ER109",
"message": "No currency provided.",
"solution": "Provide a supported currency."
},
"ER117": {
"code": "ER117",
"message": "Destination tag not supported for this currency.",
"solution": "Leave the destination tag empty."
},
"ER118": {
"code": "ER118",
"message": "Did not receive all required fields.",
"solution": "Please provide a valid currency, wallet address and optionally a destination tag."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER900": {
"code": "ER900",
"message": "The file could not be uploaded.",
"solution": "Contact our support team."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}